geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick McGuire <>
Subject Re: [jira] Commented: (GERONIMO-433) Tolerate non-Sun JREs
Date Tue, 26 Jul 2005 11:40:31 GMT
Vamsavardhana Reddy (JIRA) wrote:

>    [
>Vamsavardhana Reddy commented on GERONIMO-433:
>I tried building the Geronimo M4 source thru Eclipse using Sun's SDK 1.4.2 and IBM's SDK
1.4.2 .  Here are my findings:
>OpenEJB seems to have a dependency on Sun's SDK.  As of now, I don't know how this can
be made to tolerate non-Sun JREs
I've spent a bit of time looking at you to remove OpenEJB's Sun SDK 
dependencies, and have arrived at the conclusion that replacing the Sun 
ORB with a truely portable ORB is the only solution.  The Sun ORB class 
references cause problems with both IBM's SDK 1.4.2 and Suns 5.0 SDK, so 
this is not an easy problem to attack.  Unfortunately, there appear to 
be no portable solutions available for the places where it was necessary 
to directly reference the Sun ORB classes directly.

Right now, it looks like the Trifork ORB contribution may be the best 
means of achieving SDK portability.


View raw message